package main

import (
	"gateway/common/db"
	"gateway/common/logs"
	"gateway/core/proxy"
	"github.com/gogf/gf/v2/frame/g"
	"github.com/gogf/gf/v2/os/gcfg"
)

func init() {
	g.Cfg().GetAdapter().(*gcfg.AdapterFile).SetFileName("./etc/config.yaml")
	logs.InitLogs()    //初始化日志组件
	db.InitDatabases() //初始化数据库
}

func main() {
	//网关服务
	proxy.InitGateWayServer().Run()
}
